<?session_start();?><html><head>
<!--
Concept, template, and code copyright 2007 Brian Enigma <brian@netninja.com>
Details @ http://netninja.com/2007/07/03/iphone-first-impressions/

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 

This file is part of Brian's iPhone Bookmark Template.

Brian's iPhone Bookmark Template is free software; you can redistribute it 
and/or modify it under the terms of the GNU General Public License as published 
by the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
Brian's iPhone Bookmark Template is distributed in the hope that it will be 
useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Brian's iPhone Bookmark Template; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-->
<?php 
require("config.php");
require("links.php");
$links = new LinkList();
$links->load("links.txt");
?>
<title><?php print($title); ?></title>
<link rel="stylesheet" href="styles.css" type="text/css" media="screen" title="no title" charset="utf-8" />
<meta name="viewport" content="width=256, user-scalable=no" />
<script type="text/javascript" src="<?php print($libraryFolder); ?>/prototype.js"></script>
<script type="text/javascript" charset="utf-8">
function editLink(linkNumber) {
	var element = $('el' + linkNumber + 'a');
	element.className = 'edit';
	element.readOnly = 0;
	element = $('el' + linkNumber + 'b');
	element.className = 'edit';
	element.readOnly = 0;
	$('el' + linkNumber + 'c').style.display = 'inline';
	$('el' + linkNumber + 'd').style.display = 'inline';
	$('el' + linkNumber + 'e').style.display = 'inline';
	$('sel' + linkNumber).style.display = 'inline';
	return false;
}
function unEditLink(linkNumber) {
	var element = $('el' + linkNumber + 'a');
	element.className = 'noedit';
	element.readOnly = 1;
	element = $('el' + linkNumber + 'b');
	element.className = 'noedit';
	element.readOnly = 1;
	$('el' + linkNumber + 'c').style.display = 'none';
	$('el' + linkNumber + 'd').style.display = 'none';
	$('el' + linkNumber + 'e').style.display = 'none';
	$('sel' + linkNumber).style.display = 'none';
	return false;
}
function changeIcon(linkNumber) {
	$('pic' + linkNumber).src = '<?php print($imagesFolder); ?>' + $F('sel' + linkNumber);
}
</script>
</head><body>
<a href="index.php" class="admin">Exit</a>&nbsp;&nbsp;&nbsp;&nbsp;/&nbsp;&nbsp;&nbsp;&nbsp;<a href="order.php" class="admin">Rearrange icon order</a><br />
<?php
$readOnly = 0;
$op = isset($_REQUEST["op"]) ? $_REQUEST["op"] : "";
$index = isset($_REQUEST["index"]) ? $_REQUEST["index"] : "";
if (isset($_POST["pwd"]) && (strcmp($_POST["pwd"], $adminPassword) == 0)) {
	$_SESSION["loggedIn"] = 1;
	if (strcmp($adminPassword, "secret") == 0) {
		$readOnly = 1;
	}
}
if (strcmp($op, "logout") == 0)
	unset($_SESSION["loggedIn"]);
if (!isset($_SESSION["loggedIn"]) || ($_SESSION["loggedIn"] != 1)) {
	print("<form method=\"post\" action=\"admin.php\">");
	print("<br />You must login to continue.<br /><br />");
	print("<input type=\"password\" name=\"pwd\" /><input type=\"submit\" value=\"Login\" />");
	print("</form>");
	print("</body></html>");
	exit();
}
if (strcmp($adminPassword, "secret") == 0) {
	$readOnly = 1;
	print("<div class=\"warning\">WARNING: DEFAULT ADMIN PASSWORD IN PLACE, FORCING READ-ONLY MODE</div>\n");
}
if (($readOnly == 0) && (strlen($index) > 0)) {
	if (strcmp($index, "new") == 0) {
		$link = new Link();
		$link->set($_POST["titleText"], $_POST["icon"], $_POST["urlText"]);
		$links->add($link);
	}
	if (isset($_POST["delete"]) && (strcmp($_POST["delete"], "delete") == 0)) {
		$links->remove($index);
	} elseif (isset($_POST["save"]) && (strcmp($_POST["save"], "save") == 0)) {
		$item = $links->item($index);
		$item->title = $_POST["titleText"];
		$item->icon = $_POST["icon"];
		$item->url = $_POST["urlText"];
	}
	// Refresh, to ensure data is in sync
	$links->save("links.txt");
	$links = new LinkList();
	$links->load("links.txt");
}
$iconList = array();
if ($h = opendir($imagesFolder)) {
	while (($file = readdir($h)) !== FALSE) {
		if (is_file($imagesFolder . $file) && ($file[0] != '.'))
			array_push($iconList, $file);
	}
	closedir($h);
	sort($iconList);
}
function printDropdown($current) {
	global $iconList;
	for ($i=0; $i < sizeof($iconList); $i++) {
		print("<option value=\"" . $iconList[$i] . "\"");
		if (strcmp($current, $iconList[$i]) == 0)
			print(" selected=\"selected\"");
		print(">" . $iconList[$i] . "</option>\n");
	}
}
print("Click an icon to edit the details<br />");
for ($i=0; $i<$links->count(); $i++) {
	$item = $links->item($i);
	print("\n<div style=\"clear:both; width:256px;\" id=\"link" . $i . "\">");
	print("<form method=\"post\" action=\"admin.php\">");
	print("<input type=\"hidden\" name=\"index\" value=\"" . $i . "\" />");
    print("<div style=\"float:left;\"><img src=\"" . $imagesFolder . $item->icon . "\" width=\"64\" height=\"64\" id=\"pic" . $i . "\" onclick=\"editLink(" . $i . ");\" /></div>");
	print("<div id=\"text" . $i . "\" style=\"float:right;\">");
    print("<input type=\"text\" id=\"el" . $i . "a\" readonly=\"readonly\" class=\"noEdit\" name=\"titleText\" value=\"" . htmlspecialchars($item->title) . "\" /><br />" .
          "<input type=\"text\" id=\"el" . $i . "b\" readonly=\"readonly\" class=\"noEdit\" name=\"urlText\" value=\"" . htmlspecialchars($item->url) . "\" /><br />");
	print("<select id=\"sel" . $i . "\" name=\"icon\" style=\"display:none\" onchange=\"changeIcon(" . $i . ")\">");
	printDropdown($item->icon);
	print("</select><br />");
	print("<input type=\"submit\" id=\"el" . $i . "c\" style=\"display:none\" onclick=\"return unEditLink(" . $i . ")\" value=\"cancel\" />" .
		  "<input type=\"submit\" id=\"el" . $i . "e\" style=\"display:none\" name=\"delete\" value=\"delete\" />" .
		  "<input type=\"submit\" id=\"el" . $i . "d\" style=\"display:none\" name=\"save\" value=\"save\" />" .
		  "</div>");
	print("</form>");
	print("</div>\n");
	if (($i % 4) == 3)
		print("<hr style=\"clear:both\" size=\"1\" noshade=\"noshade\"/>");
}
?>
<div style="clear:both; width:256px;" id="linknew">
<form method="post" action="admin.php">
<input type="hidden" name="index" value="new" />
<div style="float:left;"><img src="<?php print($imagesFolder); ?>1x1.gif" width="64" height="64" id="picnew" /></div>
<div id="textnew" style="float:right;">
Add a new bookmark:<br />
<input type="text" class="edit" name="titleText" value="name" onfocus="this.select();" /><br />
<input type="text" class="edit" name="urlText" value="http://" onfocus="this.select();" /><br />
<select id="selnew" name="icon" onchange="changeIcon('new')">
<? printDropdown('xyzzy'); ?>
</select><br />
<input type="submit" name="add" value="add" />
</div>
</form>
</div>

<div style="clear:both;"><br /><br />
<a href="admin.php?op=logout" class="admin">Logout</a>&nbsp;&nbsp;&nbsp;&nbsp;/&nbsp;&nbsp;&nbsp;&nbsp;
powered by <a href="http://netninja.com/projects/phonemarks-bookmarks-for-your-iphone/">Phonemarks</a>
</div>
</body></html>