<html><head>
<!--
Concept, template, and code copyright 2007 Brian Enigma <brian@netninja.com>
Details @ http://netninja.com/2007/07/03/iphone-first-impressions/

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 

This file is part of Brian's iPhone Bookmark Template.

Brian's iPhone Bookmark Template is free software; you can redistribute it 
and/or modify it under the terms of the GNU General Public License as published 
by the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
Brian's iPhone Bookmark Template is distributed in the hope that it will be 
useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Brian's iPhone Bookmark Template; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-->
<title><?php 
require("config.php");
require("links.php");
print($title);
?></title>
<link rel="stylesheet" href="styles.css" type="text/css" media="screen" title="no title" charset="utf-8" />
<script type="text/javascript" src="<?php print($libraryFolder); ?>/prototype.js"></script>
<script type="text/javascript" src="<?php print($libraryFolder); ?>/scriptaculous.js?load=effects"></script>
<script type="text/javascript" charset="utf-8">
	var urls = new Array();
	urls['google'] = 'http://google.com/search?hl=en&q=';
	urls['googlei'] = 'http://images.google.com/images?hl=en&q=';
	urls['wiki'] = 'http://en.wikipedia.org/wiki/Special:Search?fulltext=Search&search=';
	urls['imdb'] = 'http://imdb.com/find?s=all&q=';
	urls['dict'] = 'http://dictionary.reference.com/search?q=';
	urls['thes'] = 'http://thesaurus.reference.com/search?db=roget&q=';
	urls['ama'] = 'http://www.amazon.com/exec/obidos/external-search?mode=blended&keyword=';
	urls['pow'] = 'http://www.powells.com/s?kw=';
	function doSearch() {
		url = urls[document.forms['searchForm'].elements['engine'].options[document.forms['searchForm'].elements['engine'].selectedIndex].value];
		url = url + document.forms['searchForm'].elements['q'].value;
		document.location = url;
		return false;
	}
	function launch(theElement) {
		new Effect.Puff(theElement);
		new Effect.Appear(theElement, {queue: 'end'});
	}
</script>
<meta name="viewport" content="width=256, user-scalable=no" />
</head><body>
<?php 
if (strcmp($adminPassword, "secret") == 0)
	print("<div class=\"warning\">WARNING: YOU SHOULD CHANGE THE ADMIN PASSWORD IN CONFIG.PHP</div>\n");
if ($showSearch == 1) { /* vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv */?>
<div class="searchDiv">
<form name="searchForm" onsubmit="return doSearch();">
<input class="q" type="text" name="q" /><br />
<select name="engine" class="d">
	<option value="google">Google</option>
	<option value="googlei">Google Images</option>
	<option value="wiki">Wikipedia</option>
	<option value="imdb">IMDB</option>
	<option value="dict">Dictionary</option>
	<option value="thes">Thesaurus</option>
	<option value="ama">Amazon</option>
	<option value="pow">Powell's</option>
</select><br />
<input class="b" type="submit" value="Search" onclick="return doSearch();"/>
</form>
</div><br />
<?php } /* if ($showSearch) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ */ 

$links = new LinkList();
$links->load("links.txt");
?>
<table border="0" cellspacing="0" cellpadding="0" width="256px">
<tr>
<?
for ($i=0; $i<$links->count(); $i++) {
	$item = $links->item($i);
	print("<td align=\"center\" valign=\"top\" width=\"25%\">");
	print("<a href=\"" . $item->url . "\" onclick=\"launch('pic" . $i . "')\">");
    print("<img src=\"" . $imagesFolder . $item->icon . "\" width=\"64\" height=\"64\" id=\"pic" . $i . "\" /><br />");
    print($item->title);
    print("</a></td>\n");
	if (($i % 4) == 3)
		print("</tr><tr>");
}
?>
</tr>
</table>
<a href="admin.php" class="admin">Edit Bookmarks</a>&nbsp;&nbsp;&nbsp;&nbsp;/&nbsp;&nbsp;&nbsp;&nbsp;
powered by <a href="http://netninja.com/projects/phonemarks-bookmarks-for-your-iphone/">Phonemarks</a>
</body></html>
